if [ -z $1 ]
then
echo $'
USE CASE:...

> shasubgen {filename} [ pass-phrase ]
'
exit -1
fi

if [[ ! -f "$1" ]]; then
    echo "'$1' does not exist."
	exit -1
fi

if [[ -z $2 ]]
then
	echo "WARN: passphrase prefix not specified..."
	bash -c "cat $1"             | shasubsed | sha512sum
else
	bash -c "echo '$2' ; cat $1" | shasubsed | sha512sum
fi
